# InvalidActionClosureException

open class InvalidActionClosureException : GradleException

Thrown when a Closure is given as an Action implementation, but has the wrong signature.

## Constructors

InvalidActionClosureException
Link copied to clipboard
constructor(closure: Closure<out Any>, argument: Any)

## Properties

argument
Link copied to clipboard
val argument: Any
cause
Link copied to clipboard
open val cause: Throwable
closure
Link copied to clipboard
val closure: Closure<out Any>
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String